nmatrix2.h File Reference

Deals with 2x2 integer matrices. More...

`#include <iostream>`
`#include "regina-core.h"`

## Classes

class | regina::NMatrix2
| Represents a 2-by-2 integer matrix. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API std::ostream & | regina::operator<< (std::ostream &out, const NMatrix2 &mat)
| Writes the given matrix to the given output stream. More...
REGINA_API bool | regina::simpler (const NMatrix2 &m1, const NMatrix2 &m2)
| Determines whether the first given matrix is more aesthetically pleasing than the second. More...
REGINA_API bool | regina::simpler (const NMatrix2 &pair1first, const NMatrix2 &pair1second, const NMatrix2 &pair2first, const NMatrix2 &pair2second)
| Determines whether the first given pair of matrices is more aesthetically pleasing than the second pair. More...

## Detailed Description

Deals with 2x2 integer matrices.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).